<xml></xml>

Saxon API for .NET |

# DocumentBuilder.Build Method (Uri)

Load an XML document, retrieving it via a URI.

public XdmNode Build(
Uri uri
);

#### Parameters

uri
  The URI identifying the location where the document can be found. This will also be used as the base URI of the document (regardless of the setting of the `BaseUri` property).

#### Return Value

An `XdmNode`. This will be the document node at the root of the tree of the resulting in-memory document.

#### Remarks

Note that the type `Uri` requires an absolute URI.

The URI is dereferenced using the registered `XmlResolver`.

This method takes no account of any fragment part in the URI.

The `role` passed to the `GetEntity` method of the `XmlResolver` is "application/xml", and the required return type is `System.IO.Stream`.

The document located via the URI is parsed using the `System.Xml` parser.

Note that the Microsoft `System.Xml` parser does not report whether attributes are defined in the DTD as being of type `ID` and `IDREF`. This is true whether or not DTD-based validation is enabled. This means that such attributes are not accessible to the `id()` and `idref()` functions.

#### See Also

DocumentBuilder Class | Saxon.Api Namespace | DocumentBuilder.Build Overload List